/* SPDX-License-Identifier: GPL-2.0-or-later */

#ifndef _LINUX_MODULE_HASHES_H
#define _LINUX_MODULE_HASHES_H

#include <linux/compiler_attributes.h>
#include <linux/types.h>
#include <crypto/sha2.h>

#define __module_hashes_section __section(".module_hashes")
#define MODULE_HASHES_HASH_SIZE SHA256_DIGEST_SIZE

extern const u8 module_hashes[][MODULE_HASHES_HASH_SIZE];

extern const typeof(module_hashes[0]) __start_module_hashes, __stop_module_hashes;

#endif /* _LINUX_MODULE_HASHES_H */
