#!/bin/bash
# SPDX-License-Identifier: GPL-2.0-or-later

set -e
set -u
set -o pipefail

prealloc="${1:-}"

echo "#include <linux/module_hashes.h>"
echo
echo "const u8 module_hashes[][MODULE_HASHES_HASH_SIZE] __module_hashes_section = {"

for mod in $(< modules.order); do
	mod="${mod/%.o/.ko}"
	if [ "$prealloc" = "prealloc" ]; then
		modhash=""
	else
		modhash="$(cat "$mod".hash | hexdump -v -e '"0x" 1/1 "%02x, "')"
	fi
	echo -e "\t/* $mod */"
	echo -e "\t{ $modhash},"
	echo
done

echo "};"
